; Constant registers 
; c0-c3 - world space transposed
; c8-c11 - world * view * proj
; c12 - Light Direction (In World Space)
; c24 - camera direction
; c33 - range value
;
; Input registers
; v0 - Position
; v3 - Normal
; v7 - Texture 
; v8 - Tangent
vs.1.1

; position in clip space
m4x4 oPos, v0, c8

; position in world space
m4x4 r2, v0, c0			

; get light vector
add r10, r2, c12

; Divide each component by the range value
mul r10, r10, c33.x

; multiply with 0.5 and add 0.5
mad r10, r10, c33.yyyy, c33.yyyy

; map the x and y components into the first texture
mov oT0.xy, r10.xy

; z-component v0
mov oT1.x, r10.z







